## ubuntu-release-upgrader 25.04.14

=== debian/changelog ===
ubuntu-release-upgrader (1:25.04.14) plucky; urgency=medium

  * deb2snap: allow use of {FROM,TO}_VERSION variables in deb2snap.json
  * Run pre-build.sh: updating mirrors.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Mon, 07 Apr 2025 12:16:21 -0400

ubuntu-release-upgrader (1:25.04.13) plucky; urgency=medium

  * DistUpgradeKDE: fix keyPressEvent() handler (LP: #2106272)
  * Run pre-build.sh: updating mirrors.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 04 Apr 2025 17:23:44 -0400

ubuntu-release-upgrader (1:25.04.12) plucky; urgency=medium

  * DistUpgradeQuirks: do not call snap list for TPM FDE check (LP: #2080233)
  * DistUpgradeApport: add back the sys.argv[0] override
  * DistUpgrade: fix uses of removed _expandUri
  * DistUpgradeKDE: attempt to fix remaining Qt5 -> Qt6 bugs (LP: #2095535)
    Thanks to Simon Quigley
  * Run pre-build.sh: updating mirrors.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 04 Apr 2025 09:36:19 -0400

ubuntu-release-upgrader (1:25.04.11) plucky; urgency=medium

  * DistUpgrade: run reboot with --check-inhibitors=no (LP: #2104200)

 -- Dan Bungert <daniel.bungert@canonical.com>  Fri, 28 Mar 2025 15:18:10 -0400

ubuntu-release-upgrader (1:25.04.10) plucky; urgency=medium

  * DistUpgradeQuirks: make snap command failures non-fatal
    (LP: #2098899, #2080233)
  * pre-build: add PREBUILD_SKIP_TRANSLATIONS to skip translation step
  * Run pre-build.sh: updating mirrors.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 28 Mar 2025 10:30:25 -0400

ubuntu-release-upgrader (1:25.04.9) plucky; urgency=medium

  [ Heinrich Schuchardt ]
  * tests/test_end_of_life: add missing import platform (LP: #2101845)

  [ Nick Rosbrook ]
  * d/t/control: set Restrictions: allow-stderr
  * Run pre-build.sh: updating mirrors and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Mon, 10 Mar 2025 16:11:55 -0400

ubuntu-release-upgrader (1:25.04.8) plucky; urgency=medium

  * Revert "DistUpgrade.cfg: add ubuntu-desktop-minimal to MetaPkgs"
    (LP: #2100880)
  * Run pre-build.sh: updating mirrors and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Wed, 05 Mar 2025 12:21:00 -0500

ubuntu-release-upgrader (1:25.04.7) plucky; urgency=medium

  [ Nick Rosbrook ]
  * DistUpgrade: re-work how user environment is accessed
  * DistUpgrade: fix handling when pkg in BaseMetaPkgs is not in cache
    (LP: #2083575)
  * DistUpgrade: ensure relevant metapackages are installed at start
  * DistUpgrade.cfg: add ubuntu-desktop-minimal to MetaPkgs
  * DistUpgrade: use gpg --verify instead of apt-key
  * Run pre-build.sh: updating mirrors and translations.

  [ Erich Eickmeyer ]
  * Port of QTextOption and QMessageBox for PyQt6 (LP: #2095535)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Thu, 20 Feb 2025 15:32:21 -0500

ubuntu-release-upgrader (1:25.04.6) plucky; urgency=medium

  * all: replace remaining uses of lsb_release
  * DistUpgrade: define From= as list of supported upgrade paths (LP: #2075969)
  * DistUpgradeCache: remove remaining aufs logic
  * DistUpgradeApport: fix call to apport_excepthook (LP: #2096824)
  * Run pre-build.sh: updating mirrors and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Thu, 06 Feb 2025 15:38:50 -0500

ubuntu-release-upgrader (1:25.04.5) plucky; urgency=medium

  * DistUpgradeQuirks: install linux-sysctl-defaults on upgrade from oracular
    (LP: #2089759)
  * data: add DistUpgrade.cfg.noble
  * Run pre-build.sh: updating mirrors and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Wed, 22 Jan 2025 11:44:42 -0500

ubuntu-release-upgrader (1:25.04.4) plucky; urgency=medium

  * Partially revert "DistUpgrade: remove --mode flag" (LP: #2092761)
  * Run pre-build.sh: updating mirrors and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Tue, 21 Jan 2025 13:30:27 -0500

=== debian/tests/control ===
Tests: nose-tests
Depends: gir1.2-webkit2-4.1,
         pycodestyle,
         python3-apport,
         python3-mock,
         python3-nose,
         xvfb,
         @
Restrictions: allow-stderr

## ubuntu-release-upgrader 25.04.17

=== debian/changelog ===
ubuntu-release-upgrader (1:25.04.17) plucky; urgency=medium

  * DistUpgradeQuirks: prevent upgrades if zfs is being used (LP: #2110891)
  * Run pre-build.sh: updating mirrors and translations.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 06 Jun 2025 18:24:09 +0200

ubuntu-release-upgrader (1:25.04.16) plucky; urgency=medium

  * data: remove extraneous comma in data/DistUpgrade.cfg (LP: #2110594)
  * data: add KeyDependencies= section for ubuntustudio-desktop-core
    (LP: #2110970)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 16 May 2025 07:58:55 -0400

ubuntu-release-upgrader (1:25.04.15) plucky; urgency=medium

  [ Nick Rosbrook ]
  * DistUpgradeController: exclude pre-write foreign packages from removal
    (LP: #2107657)
  * data: account for ubuntustudio-desktop-core (LP: #2104859)
  * Run pre-build.sh: updating mirrors.

  [ Julian Andres Klode ]
  * Only upgrade libc6 first if there are no unexpected changes (LP: #2106202)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Thu, 24 Apr 2025 11:20:23 -0400

## ubuntu-release-upgrader 25.04.18

=== debian/changelog ===
ubuntu-release-upgrader (1:25.04.18) plucky; urgency=medium

  * On RISC-V check for RVA23U64 compatibility (LP: #2111715)

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Mon, 07 Jul 2025 17:03:16 +0200

=== debian/control ===
Source: ubuntu-release-upgrader
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: apt-clone (>= 0.2.3~ubuntu2),
               debhelper-compat (= 13),
               dh-python,
               lsb-release,
               python3-all,
               python3-apt (>= 2.7.5),
               python3-distutils-extra,
               python3-update-manager (>= 1:19.04.5),
               ubuntu-drivers-common (>= 1:0.2.55) [i386 amd64]
Build-Depends-Indep: intltool, libxml-parser-perl
Standards-Version: 4.7.0
Vcs-Git: https://git.launchpad.net/ubuntu-release-upgrader -b ubuntu/main

Package: ubuntu-release-upgrader-core
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ca-certificates,
         python3-distupgrade (= ${source:Version}),
         ${misc:Depends},
         ${python3:Depends}
Recommends: libpam-modules (>= 1.0.1-9ubuntu3)
Replaces: update-manager (<< 1:0.165), update-manager-core (<< 1:0.165)
Breaks: software-properties (<< 0.9.27),
        update-manager (<< 1:0.165),
        update-manager-core (<< 1:0.165)
Description: manage release upgrades
 This is the core of the Ubuntu Release Upgrader

Package: python3-distupgrade
Architecture: all
Section: python
Pre-Depends: ${misc:Pre-Depends}
Depends: gpgv,
         lsb-release,
         procps,
         python3-apt (>= 0.8.5~),
         python3-dbus,
         python3-distro-info,
         python3-update-manager (>= 1:19.04.2~),
         sensible-utils,
         ${misc:Depends},
         ${python3:Depends}
Replaces: python3-update-manager (<< 1:0.165)
Breaks: python3-update-manager (<< 1:0.165)
Description: manage release upgrades
 This is the DistUpgrade Python 3 module

Package: ubuntu-release-upgrader-gtk
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: gir1.2-gtk-3.0,
         gir1.2-vte-2.91,
         gir1.2-webkit2-4.1,
         python3-dbus,
         python3-distupgrade (= ${source:Version}),
         python3-gi (>= 3.8),
         ubuntu-release-upgrader-core (= ${source:Version}),
         update-manager,
         ${misc:Depends},
         ${python3:Depends}
Description: manage release upgrades
 This is the GTK+ frontend of the Ubuntu Release Upgrader

Package: ubuntu-release-upgrader-qt
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: psmisc,
         pyqt6-dev-tools,
         python3-pyqt6,
         python3-pyqt6.qtquick,
         ubuntu-release-upgrader-core (= ${source:Version}),
         ${misc:Depends}
Recommends: qttranslations5-l10n
Replaces: update-manager-kde (<< 1:0.165)
Breaks: update-manager-kde (<< 1:0.165)
Description: manage release upgrades
 This is the Qt frontend of the Ubuntu Release Upgrader

## ubuntu-release-upgrader 25.10.6

=== debian/changelog ===
ubuntu-release-upgrader (1:25.10.6) questing; urgency=medium

  [ John Chittum ]
  * declare dependency on screen for release-upgrader-core.
    screen was seeded until Questing. (LP: #2116874)

  [ Nick Rosbrook ]
  * DistUpgradeCache: fix formatted translation strings (LP: #2109335)
  * Run pre-build.sh: updating mirrors and translations.

 -- John Chittum <john.chittum@canonical.com>  Wed, 16 Jul 2025 13:06:12 -0400

ubuntu-release-upgrader (1:25.10.5) questing; urgency=medium

  * On RISC-V check for RVA23U64 compatibility (LP: #2111715)

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Tue, 03 Jun 2025 11:03:07 +0200

ubuntu-release-upgrader (1:25.10.4) questing; urgency=medium

  * setup.cfg: xml-files -> xml_files to fix FTBFS

 -- Nick Rosbrook <enr0n@ubuntu.com>  Tue, 03 Jun 2025 14:42:33 -0400

ubuntu-release-upgrader (1:25.10.3) questing; urgency=medium

  * data: add KeyDependencies= section for ubuntustudio-desktop-core
    (LP: #2110970)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 16 May 2025 07:56:12 -0400

ubuntu-release-upgrader (1:25.10.2) questing; urgency=medium

  * data: remove extraneous comma in data/DistUpgrade.cfg (LP: #2110594)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 16 May 2025 05:07:31 -0400

ubuntu-release-upgrader (1:25.10.1) questing; urgency=medium

  * Update for Questing:
    - DistUpgrade.cfg: update for questing
    - DistUpgrade: update release announcements for questing
    - README.devel: document how to update for new series
    - DistUpgrade: bump version
  * DistUpgradeController: exclude pre-write foreign packages from removal
    (LP: #2107657)
  * data: account for ubuntustudio-desktop-core (LP: #2104859)
  * DistUpgradeController: remove 'upgrade libc6 first' quirk (LP: #2106202)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Mon, 28 Apr 2025 16:15:35 -0400

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,8 @@
 Depends: ca-certificates,
          python3-distupgrade (= ${source:Version}),
          ${misc:Depends},
-         ${python3:Depends}
+         ${python3:Depends},
+         screen
 Recommends: libpam-modules (>= 1.0.1-9ubuntu3)
 Replaces: update-manager (<< 1:0.165), update-manager-core (<< 1:0.165)
 Breaks: software-properties (<< 0.9.27),

## ubuntu-release-upgrader 25.10.7

=== debian/changelog ===
ubuntu-release-upgrader (1:25.10.7) questing; urgency=medium

  [ Tim Andersson ]
  * deb2snap.json: gnome-46-2404 -> gnome-42-2204

  [ Nick Rosbrook ]
  * test: update for deb2snap.json changes
  * Run pre-build.sh: updating mirrors

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 03 Oct 2025 13:16:37 -0400

## ubuntu-release-upgrader 25.10.8

=== po/Makefile ===

top_srcdir=`pwd`/..

DOMAIN=ubuntu-release-upgrader
PO_FILES := $(wildcard *.po)
CONTACT=sebastian.heinlein@web.de
XGETTEXT_ARGS = --msgid-bugs-address=$(CONTACT)
XGETTEXT_ARGS += --keyword=unicode_gettext:2 --keyword=unicode_ngettext:2,3

all: update-po

# update the pot
$(DOMAIN).pot:
	XGETTEXT_ARGS="$(XGETTEXT_ARGS)" intltool-update -p -g $(DOMAIN)

# merge the new stuff into the po files
merge-po: $(PO_FILES)
	XGETTEXT_ARGS="$(XGETTEXT_ARGS)" intltool-update -r -g $(DOMAIN); 

# create mo from the pos
%.mo : %.po
	mkdir -p mo/$(subst .po,,$<)/LC_MESSAGES/ 
	msgfmt $< -o mo/$(subst .po,,$<)/LC_MESSAGES/$(DOMAIN).mo 

# dummy target 
update-po: $(DOMAIN).pot merge-po $(patsubst %.po,%.mo,$(wildcard *.po))

=== debian/changelog ===
ubuntu-release-upgrader (1:25.10.8) questing; urgency=medium

  * DistUpgradeQuirks: remove z3fold from kernel command line on Raspberry
    Pi desktop installs (LP: #2125496)
  * DistUpgradeCache: Remove checkForNvidia; obsolete and relies on
    now-removed code in ubuntu-drivers-common (LP: #2126679)
    - d/control: Remove ubuntu-drivers-common from Build-Depends
  * RiscvProfile: Correct interpreter path to fix Lintian error

 -- Dave Jones <dave.jones@canonical.com>  Fri, 03 Oct 2025 21:46:56 +0100

## ubuntu-release-upgrader 26.04.1

=== debian/changelog ===
ubuntu-release-upgrader (1:26.04.1) resolute; urgency=medium

  * Update for Resolute:
    - data/DistUpgrade.cfg: update for resolute
    - DistUpgrade: update release announcements for resolute
    - DistUpgradeVersion: set initial version for resolute

 -- Nick Rosbrook <enr0n@ubuntu.com>  Wed, 15 Oct 2025 13:10:23 -0400

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
                python3-apt (>= 2.7.5),
                python3-distutils-extra,
                python3-update-manager (>= 1:19.04.5),
-               ubuntu-drivers-common (>= 1:0.2.55) [i386 amd64]
 Build-Depends-Indep: intltool, libxml-parser-perl
 Standards-Version: 4.7.0
 Vcs-Git: https://git.launchpad.net/ubuntu-release-upgrader -b ubuntu/main

=== debian/rules ===
#!/usr/bin/make -f

ARCH=all
DIST=$(shell LC_ALL=C dpkg-parsechangelog -S Distribution)
DEBVER=$(shell LC_ALL=C dpkg-parsechangelog -S Version | sed s/.*://)
TARNAME=dist-upgrader_$(DEBVER)_$(ARCH).tar.gz
DH_ARGS=--with=python3 --buildsystem=pybuild
PY3REQUESTED := $(shell py3versions -r)
PY3DEFAULT := $(shell py3versions -d)
PY3 := $(filter-out $(PY3DEFAULT),$(PY3REQUESTED)) python3

%:
	dh $@ $(DH_ARGS)

override_dh_auto_clean:
	set -ex; for python in $(PY3); do \
		LANG=C.UTF-8 LC_ALL=C.UTF-8 $$python setup.py clean -a; \
	done
	find -name __pycache__ | xargs rm -rf
	rm -rf ./build ./DistUpgrade/$(DEBVER) ./DistUpgrade/mo \
		./DistUpgrade/$(DIST) ./DistUpgrade/$(DIST).tar.gz \
		./DistUpgrade/ubuntu-drivers-obsolete.pkgs ./po/mo

override_dh_auto_build:
	set -ex; for python in $(PY3); do \
		LANG=C.UTF-8 LC_ALL=C.UTF-8 $$python setup.py build; \
	done

override_dh_auto_install:
	set -ex; for python in $(PY3); do \
		LANG=C.UTF-8 LC_ALL=C.UTF-8 $$python setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb; \
	done
	# Remove .egg-info files
	find debian/tmp -name '*.egg-info' -exec rm -rf {} +

override_dh_python3-indep:
	mkdir -p debian/ubuntu-release-upgrader-gtk/usr/bin
	cp ./debian/ubuntu-release-upgrader-gtk/usr/lib/ubuntu-release-upgrader/check-new-release-gtk debian/ubuntu-release-upgrader-gtk/usr/bin
	dh_python3 -i
	rm ./debian/ubuntu-release-upgrader-gtk/usr/bin/check-new-release-gtk
	rmdir debian/ubuntu-release-upgrader-gtk/usr/bin

override_dh_missing:
	dh_missing --exclude='*.egg-info' --fail-missing

binary: binary-arch binary-indep

binary-indep:
	dh $@ $(DH_ARGS)
	# Special tarball for dist-upgrader
	(cd DistUpgrade/ && \
	   ./build-tarball.sh && \
	   mkdir -p $(DEBVER) && \
	   cp $(DIST).tar.gz ./*ReleaseAnnouncement* $(DEBVER) && \
	   tar czvf ../../$(TARNAME) \
	       $(DEBVER)/*ReleaseAnnouncement* \
	       $(DEBVER)/$(DIST).tar.gz )
	dpkg-distaddfile $(TARNAME) raw-dist-upgrader -

.PHONY: binary binary-indep

## ubuntu-release-upgrader 26.04.2

=== debian/changelog ===
ubuntu-release-upgrader (1:26.04.2) resolute; urgency=medium

  * Remove depreciated '-m desktop' from the kubuntu-devel-release-
    upgrade wrapper script.

 -- Rik Mills <rikmills@kde.org>  Tue, 25 Nov 2025 10:53:51 +0000

## ubuntu-release-upgrader 26.04.3

=== debian/changelog ===
ubuntu-release-upgrader (1:26.04.3) resolute; urgency=medium

  * DistUpgrade: prevent upgrades when distro-info-data is outdated
    (LP: #2128839)
  * all: clean forgotten -m references
  * DistUpgrade: do not include 'LTS' in DistUpgradeController.toVersion
    (LP: #2134446)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Tue, 09 Dec 2025 11:43:03 -0500

## ubuntu-release-upgrader 26.04.4

=== debian/changelog ===
ubuntu-release-upgrader (1:26.04.4) resolute; urgency=medium

  [ Kat Kuo ]
  * DistUpgrade/telemetry: Add ubuntu-insights integration

  [ Nick Rosbrook ]
  * Run pre-build.sh: updating mirrors and translations.

 -- Kat Kuo <kat.kuo@canonical.com>  Thu, 08 Jan 2026 15:31:32 -0500

## ubuntu-release-upgrader 26.04.5

=== debian/changelog ===
ubuntu-release-upgrader (1:26.04.5) resolute; urgency=medium

  * DistUpgrade: keep a disabled copy of .list files that could not be migrated
    (LP: #2130273)
  * DistUpgradeFetcherCore: use gpgv to verify signatures
    (LP: #2125687)
  * DistUpgrade: refuse to upgrade without unified cgroupv2 hierarchy
  * Run pre-build.sh: updating mirrors and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Wed, 28 Jan 2026 08:18:55 -0500

## ubuntu-release-upgrader 26.04.6

=== debian/changelog ===
ubuntu-release-upgrader (1:26.04.6) resolute; urgency=medium

  [ Simon Johnsson ]
  * DistUpgrade: prevent z13 s390x machines from upgrading
    to 26.04 or later.

  [ Nick Rosbrook ]
  * Run pre-build.sh: updating mirrors and translations.

 -- Simon Johnsson <simon.johnsson@canonical.com>  Wed, 04 Feb 2026 12:00:26 -0500

## ubuntu-release-upgrader 26.04.7

=== debian/changelog ===
ubuntu-release-upgrader (1:26.04.7) resolute; urgency=medium

  * DistUpgradeQuirks: Fail on ancient boot EEPROM for Pi 4 (LP: #2130734)

 -- Dave Jones <dave.jones@canonical.com>  Fri, 06 Feb 2026 14:51:28 +0000

## ubuntu-release-upgrader 26.04.8

=== debian/changelog ===
ubuntu-release-upgrader (1:26.04.8) resolute; urgency=medium

  * DistUpgrade:
    - update links in release announcements (LP: #2120280)
    - improve lang. in release announcements (LP: #2130699)

 -- Robert Kratky <robert.kratky@canonical.com>  Wed, 11 Feb 2026 15:46:27 +0100

## ubuntu-release-upgrader 26.04.9

=== debian/changelog ===
ubuntu-release-upgrader (1:26.04.9) resolute; urgency=medium

  * No change rebuild against `update-manager` (LP: #2141637)

 -- Florent 'Skia' Jacquet <skia@ubuntu.com>  Wed, 25 Feb 2026 12:30:25 +0100
